Skills
Update a skill
Modifies the specified skill's configuration.
Yol parametreleri
name
string
gerekli
The name of the skill to update.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
İstek Gövdesi
default_version
string
gerekli
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Yanıtlar
The request has succeeded.
Gövde
id
string
gerekli
The unique identifier of the skill.
name
string
gerekli
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
gerekli
A human-readable description of the skill.
default_version
string
gerekli
The default version for the skill. Can be changed via updateSkill.
latest_version
string
gerekli
The latest version for the skill.
İstek
POST /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json